#ifndef GLOBAL_H
#define GLOBAL_H

#include <QList>

class QString;

namespace global
{
#ifdef WIN32
    const char slash = '\\';
#else
    const char slash = '/';
#endif

enum Type {
    eDefault = 1,
    eForTriggers = 2,
    eForWeb = 3,
    eHttpHeader = 4
};

QString getValue(const QString &string, const QString &key, Type = Type::eDefault);
QString toLowerAndNoSpaces(const QString& channelName);
QString getRandomString(int entropy, int sizeOfLine);
}

#endif // GLOBAL_H
