#ifndef IRCCLIENTSTARTER_H
#define IRCCLIENTSTARTER_H

#include "httpserver.h"
#include "ircclient.h"
#include <QObject>

class IrcClientStarter : public QObject
{
    Q_OBJECT
public:
    explicit IrcClientStarter(ConnectionData conf, HttpServer* web, QObject *parent = nullptr);

public slots:
    void RunInit();

private:
    IrcClient* m_ircClient;
    HttpServer* m_webUi;
    ConnectionData m_conf;
};

#endif // IRCCLIENTSTARTER_H
