#ifndef CONNECTIONDATA_H
#define CONNECTIONDATA_H

#include <QString>
#include <QStringList>
#include <QMap>

struct ConnectionData
{
    ConnectionData();
    bool isOk();

    QString address;
    quint16 port;
    QString displayName;

    QString nick;
    QString altNick;
    QString password;
    QString realName;
    QString user;
    QStringList channels;
    QMap<QString, QString> triggers; // request, answer

    QString logFolderPath;
};

#endif // CONNECTIONDATA_H
